Summary: The libglade library for loading user interfaces
Name: libglade2
Version: 2.6.4
Release:    1%{?dist}
License: LGPLv2+
Source0: http://download.gnome.org/sources/libglade/2.6/libglade-%{version}.tar.bz2
URL: http://www.gnome.org

Requires: xml-common
BuildRequires: libxml2-devel 
BuildRequires: gtk2-devel 
BuildRequires: fontconfig
BuildRequires: pango-devel
BuildRequires: libtool
BuildRequires: gettext-devel
BuildRequires: make

Patch1: libglade-2.0.1-nowarning.patch
Patch2: libglade-secondary.patch

%description
Libglade is a small library that allows a program to load its user
interface from am XML description at runtime. Libglade uses the XML
file format used by the GLADE user interface builder GLADE, so
libglade acts as an alternative to GLADE's code generation
approach. Libglade also provides a simple interface for connecting
handlers to the various signals in the interface (on platforms where
the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short
initial interface loading time, there is no performance tradeoff.

%package devel
Summary: The files needed for libglade application development
Requires: %{name} = %{version}-%{release}

%description devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%prep
%setup -q -n libglade-%{version}

%patch1 -p1 -b .nowarning
%patch2 -p1 -b .secondary

%build
%configure --disable-gtk-doc --disable-static
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_libdir}/libglade/2.0
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -delete



%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/lib*.so.*
%dir %{_libdir}/libglade
%dir %{_libdir}/libglade/2.0
%{_datadir}/xml/libglade

%files devel
%doc test-libglade.c
%exclude %{_bindir}/libglade-convert
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/libglade

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6.4-1
- initial build
